  <section class="sidebar-module">
   
   
    {{ $related := .Site.RegularPages.Related . }}
    {{ with $related }}
    <h3>See Also</h3>
    <ul class="list-unstyled">
      {{ range . }}
      <li><a href="{{ .RelPermalink }}">{{ .Title }}</a></li>
      {{ end }}
    </ul>
    {{ end }}


  <h3>Recent</h3>
  <ul class="list-unstyled">
{{ $num_recent_posts := (index .Site.Params.sidebar "num_recent_posts" | default 5) }}
{{ range first $num_recent_posts (where .Site.RegularPages "Section" "in" .Site.Params.mainSections) }}
<li><a href="{{.RelPermalink}}">{{.Title | markdownify }}</a></li>
{{ end }}
  </ul>

  <h3>Featured</h3>
	<ul class="list-unstyled">
		{{ range first 5 (where (where .Site.RegularPages "Type" "in" site.Params.mainSections) ".Params.featured" "=" true) }}
		  <li><a href="{{ .Page.RelPermalink }}">{{ .Page.Title }}</a>
		  </li>
	  {{ end }}
	</ul>

  <h3>Archive</h3> 
  <ul class="list-unstyled">
    <li><a href="/tags/">Tags</a></li>
    <li><a href="/2025/">2025</a></li>
    <li><a href="/2024/">2024</a></li>
    <li><a href="/2023/">2023</a></li>
    <li><a href="/2022/">2022</a></li>
    <li><a href="/2021/">2021</a></li>
    <li><a href="/2020/">2020</a></li>
  </ul>

  </section>
